package com.bocloud.nms.model.hillstone;

import java.util.Objects;

public class SNMPProxyModel extends HillStoneGenericModel {
    private Long vendorId; // 所属平台
    /**
     * 是否启用snmp代理：0->不启用；1->启用。
     */
    private Integer status;
    private String hostname;
    /**
     * 系统位置
     */
    private Integer location;
    /**
     * 系统联络
     */
    private Integer contact;
    /**
     * 主机端口
     */
    private Integer hostPort;
    /**
     * 本地引擎id
     */
    private String engineId;
    /**
     * 对象id
     */
    private String sysObjectId;
    /**
     * 虚拟路由id
     */
    private String virtualRouteId;

    public String getVirtualRouteId() {
        return virtualRouteId;
    }

    public void setVirtualRouteId(String virtualRouteId) {
        this.virtualRouteId = virtualRouteId;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getHostname() {
        return hostname;
    }

    public void setHostname(String hostname) {
        this.hostname = hostname;
    }

    public Integer getLocation() {
        return location;
    }

    public void setLocation(Integer location) {
        this.location = location;
    }

    public Integer getContact() {
        return contact;
    }

    public void setContact(Integer contact) {
        this.contact = contact;
    }

    public Integer getHostPort() {
        return hostPort;
    }

    public void setHostPort(Integer hostport) {
        this.hostPort = hostPort;
    }

    public String getEngineId() {
        return engineId;
    }

    public void setEngineId(String engineId) {
        this.engineId = engineId;
    }

    public String getSysObjectId() {
        return sysObjectId;
    }

    public void setSysObjectId(String sysObjectId) {
        this.sysObjectId = sysObjectId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        SNMPProxyModel that = (SNMPProxyModel) o;
        return Objects.equals(vendorId, that.vendorId) &&
            Objects.equals(hostname, that.hostname);
    }

    @Override
    public int hashCode() {
        return Objects.hash(vendorId, hostname);
    }
}
